create table fad_oa.sys_oss_config
(
    oss_config_id bigint                   not null comment '主建'
        primary key,
    config_key    varchar(20)  default ''  not null comment '配置key',
    access_key    varchar(255) default ''  null comment 'accessKey',
    secret_key    varchar(255) default ''  null comment '秘钥',
    bucket_name   varchar(255) default ''  null comment '桶名称',
    prefix        varchar(255) default ''  null comment '前缀',
    endpoint      varchar(255) default ''  null comment '访问站点',
    domain        varchar(255) default ''  null comment '自定义域名',
    is_https      char         default 'N' null comment '是否https（Y=是,N=否）',
    region        varchar(255) default ''  null comment '域',
    access_policy char         default '1' not null comment '桶权限类型(0=private 1=public 2=custom)',
    status        char         default '1' null comment '状态（0=正常,1=停用）',
    ext1          varchar(255) default ''  null comment '扩展字段',
    create_by     varchar(64)  default ''  null comment '创建者',
    create_time   datetime                 null comment '创建时间',
    update_by     varchar(64)  default ''  null comment '更新者',
    update_time   datetime                 null comment '更新时间',
    remark        varchar(500)             null comment '备注'
)
    comment '对象存储配置表' charset = utf8mb4;

